package com.inkasso.factoring.electronicSignature.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

/**
 * <p>
 * --电子签个人信息表
 * </p>
 *
 * @author liutao
 * @since 2023-05-13
 */
@TableName("electronic_signature_personal")
public class ElectronicSignaturePersonal extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 证件类型
     */
    @TableField("card_type")
    private String cardType;

    /**
     * 证件号码
     */
    @TableField("socialCreditCode")
    private String socialCreditCode;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 电子签客户编号
     */
    @TableField("fdd_customer_id")
    private String fddCustomerId;

    /**
     * 电子签客户编号
     */
    @TableField("open_id")
    private String openId;

    /**
     * 认证链接
     */
    @TableField("auth_url")
    private String authUrl;

    /**
     * 认证短链接
     */
    @TableField("short_auth_url")
    private String shortAuthUrl;

    /**
     * 电子签认证状态 0：未认证 1：已认证
     */
    @TableField("auth_status")
    private Integer authStatus;

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getFddCustomerId() {
        return fddCustomerId;
    }

    public void setFddCustomerId(String fddCustomerId) {
        this.fddCustomerId = fddCustomerId;
    }

    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }

    public String getShortAuthUrl() {
        return shortAuthUrl;
    }

    public void setShortAuthUrl(String shortAuthUrl) {
        this.shortAuthUrl = shortAuthUrl;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
    }
}
